.sidebar {
  .borderCorner(3,3,3,3);
  background-color: @sidebarBackground;
  border: 1px solid @sidebarBorder;
  margin-bottom: 15px;
  margin-top: 25px;
  padding: 15px;

  &.users-lists,
  &.tags-lists {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 5px;

    .sidebar-title {
      margin-left: 15px;
      margin-right: 15px;
    }

  }

  &-title {
    color: @titleColorBase;
    font-size: 16px;
    font-weight: 500;
    //border-bottom: 1px solid @border;
    //padding-bottom: 15px;
    margin-bottom: 15px;


  }

  &-content {

    &-language {

      ul {
        margin-bottom: 0;
        padding-left: 0;
        li {
          position: relative;
          list-style: none;
          display: inline-block;
          margin-right: 8px;
          padding-right: 8px;
          font-size: 13px;
          color: @text54;

          &:hover,
          &.active {
            .trans(0.2s);
            color: @baseColor;
            cursor: pointer;
          }

          &:after {
            position: absolute;
            content: '•';
            opacity: .5;
            right: -2px;
          }

          &:last-child {
            &:after {
              content: '';
            }
          }

        }
      }

    }

    &-exchange-cantor {

      ul {
        margin-bottom: 0;
        padding-left: 0;
        li {
          list-style: none;
          width: 100%;
          font-weight: 400;
          font-size: 14px;
          padding-left: 15px;
          padding-right: 15px;
          padding-top: 6px;
          padding-bottom: 6px;
          color: @text54;

          .name {
            width: 105px;
            margin-right: 15px;
            display: inline-block;
            font-weight: 500;
            color: @baseColor;
            i {
              font-size: 12px;
              margin-left: 6px;
              margin-right: 6px;
            }

          }

        }
      }

      .information {
        display: inline-block;
        margin-top: 10px;
        margin-bottom: 10px;
        font-size: 11px;
        font-weight: 400;
        color: @text54;
        padding-left: 15px;
        padding-right: 15px;

      }

    }

    &-users,
    &-tags {
      &-search {
        padding-left: 15px;
        padding-right: 15px;
        margin-bottom: 15px;
      }

      &-search {
        &-content {
          display: none;
          &.active {
            display: inline-block;
            width: 100%;

          }
        }


      }

      ul {
        margin-bottom: 0;
        padding-left: 0;
        li {
          list-style: none;
          width: 100%;
          font-weight: 400;
          font-size: 14px;
          padding-left: 15px;
          padding-right: 15px;
          padding-top: 6px;
          padding-bottom: 6px;
          color: @text54;


          &:last-child {
            margin-bottom: 0;
          }

          &:hover {
            background-color: fade(@border, 3%);
            text-decoration: none;
            .name {
              text-decoration: none;
            }
          }

          a {
            width: 100%;
            display: inline-block;

            &:hover {
              text-decoration: none;
            }

              .name {
              font-size: 14px;
              color: @baseColor;
              font-weight: 500;

              &:hover {
                text-decoration: none;
              }

            }

            .count {
              float: right;
              color: @text54;
              .fa {
                margin-left: 10px;

              }
            }

          }

        }
      }

    }


    &-users {

      ul {
        li {
          padding-top: 10px;
          padding-bottom: 14px;
          a {
            font-weight: 500;

            .reputation {
              font-weight: 400;
              font-size: 13px;
              display: inline-block;
              margin-left: 3px;
            }

            .ranking {
              font-size: 13px;
              font-weight: 400;
              color: @text54;
              float: right;
              display: inline-block;
              .icon-trophy {
                margin-left: 8px;
                font-size: 11px;
              }

            }

          }



        }
      }

    }

  }

  .tags,
  .exchange {
    ul {
      margin-bottom: 0;
      padding-left: 0;
      li {
        list-style: none;
        padding-left: 0;
        margin-bottom: 10px;
        &:last-child {
          margin-bottom: 0;
        }
      }
    }
  }

  .tags {
    ul {
      margin-bottom: 0;
      li {
        margin-bottom: 15px;

        &:last-child {
          border-top: 1px solid @border;
          margin-top: 20px;
          padding-top: 20px;
          font-weight: 500;

          a {
            color: @blueBase;
            text-decoration: none;
            &:hover {
              color: fade(@blueBase, 80%);
              text-decoration: none;
            }
          }

        }

        a {
          color: @blueBase;
          text-decoration: none;
          &:hover {
            color: @orangeBase;
            text-decoration: none;
          }
        }
        .postCount {
          .border(2);
          //background-color: fade(@border, 3%);
          float: right;
/*
          font-size: 12px;
          font-weight: 500;
          padding-left: 4px;
          padding-right: 4px;
          padding-top: 2px;
          padding-bottom: 2px;
*/
        }
      }
    }
  }

  .exchange {
    ul {
      &:first-child {
        margin-bottom: 15px;
      }
      li {
        .name {
          color: @blueBase;
          width: 120px;
          display: inline-block;
          i {
            font-size: 12px;
            margin-left: 5px;
            margin-right: 5px;
          }
        }
        .value {
          color: @text;
          float: right;
        }
      }
    }

    .information {
      width: 100%;
      display: inline-block;
      margin-top: 20px;
      font-size: 13px;
      font-weight: 400;
      color: @text54;
    }

  }

  &.user-account {
    position: relative;
    background-color: transparent;
    border-color: transparent;
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;

    &.stream,
    &.post {
      padding-bottom: 0;
      margin-bottom: 0;

      .user-header-avatar  {
        border: 3px solid @white;
        width: 50px;
        height: 50px;
        bottom: auto;
        top: 0;

        .user-header-avatar-reputation {
          width: 25px;
          height: 25px;
          border: 2px solid @white;
          line-height: 21px;
          font-size: 11px;
          right: -18px;
          top: 4px;
        }

      }

      ul {
        li {
          &.name,
          &.username {
            padding-left: 70px;
          }

          &.name {
            h3 {
              font-size: 20px;
              line-height: 20px;
              margin-bottom: 10px;
            }
          }

        }
      }

    }

    ul {
      margin-bottom: 0;
      padding-left: 0;
      li {
        list-style: none;
        padding-left: 0;

        &.name {
          h1 {
            font-size: 22px;
            line-height: 22px;
            font-weight: 600;
            width: 100%;
            margin-bottom: 10px;
            color: @basePurple;
          }
        }
        &.username {
          font-size: 18px;
          font-weight: 500;
          margin-bottom: 25px;
          color: @greenBase;

          &.inline {
            margin-bottom: 45px;
            display: inline-block;
            padding-top: 9px;
          }

        }

        &.about {
          font-size: 14px;
          line-height: 20px;
          margin-bottom: 25px;
        }

        &.follow,
        &.mute {
          font-size: 14px;
          font-weight: 500;
          margin-bottom: 15px;
          width: 100%;
        }

        &.mute {
          margin-bottom: 25px;
        }

        &.location,
        &.join,
        &.online,
        &.voting-power,
        &.ranking {
          font-size: 14px;
          font-weight: 500;
          margin-bottom: 15px;
          i {
            margin-right: 8px;
            width: 20px;
            display: inline-block;
          }

          .join-name,
          .online-name,
          .voting-name {
            margin-right: 3px;
          }

          .ranking-name {
            margin-left: 3px;
          }

        }

      }
    }

  }

}

